<script lang="ts" setup>
import { ref } from 'vue'
import { type Stock } from '@/types/Stock'

defineProps<{ stock: Stock }>()
const emit = defineEmits<{
  selected: [stock: Stock]
}>()
</script>

<template>
  <v-card
    min-width="350"
    max-width="620"
    min-height="45"
    max-height="60"
    elevation="3"
    @click.stop="
      () => {
        emit('selected', stock)
      }
    "
  >
    <!-- <v-img min-width="100" height="100" cover></v-img> -->
    <div>
      <v-btn
        prepend-icon="mdi-check"
        style="
          background-color: rgba(8, 136, 248, 1);
          color: white;
          margin-left: 6px;
          margin-top: 3px;
        "
        >เลือก</v-btn
      >
      {{ stock.name }} {{ stock.price }} บาท/{{ stock.unit }}, สถานะ: {{ stock.status }}
    </div>
  </v-card>
</template>
